# Add Category

## Add New Category

<mark style="color:green;">`POST`</mark> `https://{{account_id}}.acquire.io/api/v1/kb/category/add`

This endpoint allows you to add a new category in the Knowledge Base.

#### Headers

| Name          | Type   | Description                                                    |
| ------------- | ------ | -------------------------------------------------------------- |
| Authorization | string | Authentication token to track down who is emptying our stocks. |

#### Request Body

| Name    | Type    | Description                                                   |
| ------- | ------- | ------------------------------------------------------------- |
| name    | string  | Name of the category. Must be unique.                         |
| groupId | integer | ID of the Knowledge Base group you are adding the category to |

{% tabs %}
{% tab title="200 Category successfully added." %}

```
{
  "data": {
    "success": true,
    "message": "Category successfully added."
  }
}
```

{% endtab %}
{% endtabs %}

### Body (row)

```
{
  "groupId": 1,
  "parentCategory": 0,
  "name": "string",
  "description": "string",
  "categoryIcon": "string",
  "visibleOrder": 0,
  "status": "draft"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/knowledgebase/category/add-category.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
